Jump to:
<a href='' ng-click="openCircuits()">circuits</a> or <a href='' ng-click="openCircuit(circiutId)">current circuit</a>
<hr>
<h2 ng-if="!isNew">Primary point edit</h2>
<h2 ng-if="isNew">New primary point</h2>
<form name="circuitForm" class="editArticleDialog">
    <!--START: names -->
    <div layout="row">
        <md-input-container class="md-icon-float md-block" flex-gt-sm="40">
            <label>Name (cz)</label>
            <md-icon class="name">
                <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/cz.png"/>
            </md-icon>
            <input ng-model="point.name" type="text">
        </md-input-container>
    </div>
    <div layout="row">
        <md-input-container class="md-icon-float md-block" flex-gt-sm="40">
            <label>Name (en)</label>
            <md-icon class="name">
                <img class="png-icon name" style="width: 24px; height: 24px;" src="public/flags/gb.png"/>
            </md-icon>
            <input ng-model="point.name_en" type="text">
        </md-input-container>
    </div>
    <!--END: names -->
    <!--START: map -->
    <b>Point loacation</b> (click to add or change, drag to move)<br/>
    <ui-gmap-google-map center='map.center' zoom='map.zoom' events='map.events' bounds='map.bounds'>
        <ui-gmap-markers models="point.markers" coords="'self'" icon="'icon'" events='map.markerEvents' options='map.markerOptions'>
        </ui-gmap-markers>
    </ui-gmap-google-map>
    <br/>
    <!--END: map -->
    <!-- START: main content -->
    <div layout="row">
        <b>Content</b>
    </div>
    <div layout="row">
        <primary-point-slides-table circuit-id="{{circuitId}}" primary-point-id="{{primaryPointId}}"></primary-point-slides-table>

        <div layout="column">
          <!-- slides table -->
        </div>
        <div layout="column">
          <md-tabs md-dynamic-height="" md-border-bottom="">
              <md-tab>
                  <md-tab-label>
                      <img class="png-icon" style="width: 24px; height: 24px;" src="public/flags/cz.png"></img>
                      <span>Česky ({{point.parts[0].content.split(' ').length}}
                          slov)</span>
                  </md-tab-label>
                  <md-tab-body>
                      <md-input-container class="md-icon-float md-block fullwidth">
                          <div class="ckEditorWrapper">
                              <div ckeditor="options" ng-model="point.parts[0].content" ready="onReady()"></div>
                          </div>
                      </md-input-container>
                  </md-tab-body>
              </md-tab>
              <md-tab>
                  <md-tab-label>
                      <img class="png-icon" style="width: 24px; height: 24px;" src="public/flags/gb.png"></img>
                      <span>English ({{point.parts[0].content_en.split(' ').length}}
                          words)</span>
                  </md-tab-label>
                  <md-tab-body>
                      <md-input-container class="md-icon-float md-block fullwidth">
                          <div class="ckEditorWrapper">
                              <div ckeditor="options" ng-model="point.parts[0].content_en" ready="onReady()"></div>
                          </div>
                      </md-input-container>
                  </md-tab-body>
              </md-tab>
          </md-tabs>
        </div>
    </div>
    <br/>
    <div layout="row">
        <p><b>Author(s) of texts:</b></p>
        <md-button class="md-primary" ng-click="manageAuthors()">Manage...</md-button>
    </div>
    <br/><br/>
    <!--END: main content -->
    <!--START: image -->
    <div layout="row">
        <b>Primary image:</b>
    </div>
    <div layout="row">
        <div ngf-drop ngf-select ng-model="files" class="drop-box" ngf-drag-over-class="'dragover'" ngf-multiple="false" ngf-allow-dir="false" accept="image/*" ngf-pattern="'image/*'">Drop images here or click to upload</div>
        <div ngf-no-file-drop>File Drag/Drop is not supported for this browser</div>
        <div ng-if="point.image!==undefined && point.image!==false" class="thumb-container">
            <img ng-click="previewImage(point.image.url, $event)" ng-show="point.image.url!==undefined && point.image.url!==null" class="img-center-cropped-100-100" ng-src="{{point.image.url}}"></img>
            <span ng-if="point.image.status==='uploading'">{{point.image.progress}}%</span>
            <md-button ng-if="point.image.status!=='uploading'" class="button-delete md-fab md-mini" aria-label="Delete">
                <md-icon md-font-icon="material-icons" ng-click="deleteImage()">delete</md-icon>
            </md-button>
        </div>
    </div>
    <!--END: image -->
    <br/>
    <div ng-if="isNew===false">
      <secondary-points-table circuit-id="{{circuitId}}" primary-point-id="{{primaryPointId}}"></secondary-points-table>
    </div>
    <br/>
    <br/>
    <br/>
    <br/>
    <div class="floating-bottom-action-buttons-bar">
        <div layout="row">
            <span flex></span>
            <md-button class="md-raised md-primary" ng-click="save()" ng-disabled="circuitForm.$invalid" md-autofocus>
                {{getSaveLabel()}}
            </md-button>
            <md-button ng-click="cancel()" style="margin-right:20px;">
                Cancel
            </md-button>
        </div>
    </div>
</form>
